
Imports System
Imports Eplan.EplApi.ApplicationFramework

    ''' <summary>
	'''   That is an example for a W3-Addin.  
	'''   Exactly a class must implement the interface ESystem. IEplAddIn.  
	'''   An Assembly is identified through this criterion as W3-Addin!  
	''' </summary>  
    Public Class AddInModule
    Implements IEplAddIn

    ''' <summary>
    ''' This function is called once the Addins through the Framework in the registering.  
    ''' </summary>
    ''' <param name="bLoadOnStart"> True:  The Addin is loaded in the future in system start and the function <seealso cref="OnInit"/> is called. </param>
    ''' <returns></returns>
    Public Function OnRegister(ByRef bLoadOnStart As System.Boolean) As Boolean Implements IEplAddIn.OnRegister
        bLoadOnStart = True
        Return True
    End Function

        ''' <summary>
		''' This function will remove from called once the Addins through the Framework in that the system. 
		''' </summary>
		''' <returns></returns>
    Public Function OnUnregister() As Boolean Implements IEplAddIn.OnUnregister
        Return True
    End Function

        ''' <summary>
		''' This function is called in system start if the Addin is supposed to be loaded in system start.<seealso cref="OnRegister"/> 
		''' </summary>
		''' <returns></returns>
    Public Function OnInit() As Boolean Implements IEplAddIn.OnInit
        Return True
    End Function

        ''' <summary>
		''' This function is called of the Framework if the Framework has initializes already its waiter specialties and the Addin can modify this surface.  
		''' Only is called if the Addin is loaded also in system system start.  
		''' </summary>
		''' <returns></returns>
    Public Function OnInitGui() As Boolean Implements IEplAddIn.OnInitGui
        Dim menuEdb As New SickEplanEdbFunctions
        'Dim menuEdb As New edbAddIn()
        'Fgt das EDB-Menu in EPLAN
        menuEdb.MenuFunction()
        Return True
    End Function

        ''' <summary>
		'''This function is called through the Framework in Programmedne if the Addin was loaded in system start. <seealso cref="OnRegister"/>   
		''' </summary>
		''' <returns></returns>
        Public Function OnExit() As Boolean Implements IEplAddIn.OnExit
         Return True
    End Function

End Class



